@import url("main.css");

html,
body {
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  padding-top: 40px;
  padding-bottom: 40px;
  background-color: #f5f5f5;
  
}

.container .login-bg {
  position: absolute;
  z-index: -1;
   inset: 0px;
    overflow: hidden; 
    background-size: cover;
     background-color: transparent; 
     background-repeat: no-repeat;
      background-position: 50% 50%; 
      background-image: none;
}

.container .icon-img img {
    width: 69px;
    height: 55px;
    position: absolute;
    top: -0.5px;
    left: 0;
    right: 0;
    margin: 0 auto;
    border: 15px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 5px 0px rgba(19, 200, 14,0.7);
    border-radius: 50%;
    background: #dee0e0;
}

.container .form-signin h1 {
  opacity: .7;
  text-shadow: 2px 2px 8px black;
}


.container .form-signin {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: auto;
  background: rgba(255, 255, 255, .3);
  border-radius: 20px;
  border-left: 1px solid var(--rgbaLeft);
  border-top: 1px solid var(--rgbaTop);
  box-shadow: 20px 20px 40px -6px rgba(0 , 0, 0, .3);
}

.container.form-signin {
  text-shadow: 2px 2px 4px black;
}

.container .form-signin a {
  font-weight: 600;
  transition: all .3s;
  text-decoration: none;
}

.container .form-signin a:hover {
  text-shadow: 2px 2px 4px var(--rgbaB) ;
}


.container .form-signin .checkbox {
  font-weight: 400;
}

.container .form-signin .form-floating:focus-within {
  z-index: 2;
}

.container .form-signin .option-log {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.container .form-signin input {
  background: transparent;
    border-left: 1px solid var(--rgbaW);
    border-top: 1px solid var(--rgbaB);
    border-radius: 20px;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    -moz-backdrop-filter: blur(5px);
    box-shadow: 4px 4px 60px var(--rgbaB);
    color: white;
    font-weight: 500;
    text-shadow: 4px 4px 4px var(--rgbaB);
    transition: all .3s;
}


::placeholder  {
  color: white;
}

.container .form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.container .form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.container .form-signin input:hover, input[type="email"]:focus, input[type="password"]:focus {
  background: rgba(0, 0, 0, 0.3);
  box-shadow: 4px 4px 60px 8px var(--rgbaB);
}